Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network143.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
143.167.0.0
Broadcast address
143.167.255.255
First usable
143.167.0.1
Last usable
143.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex 8FA70000 · Integer 2410086400 to 2410151935
Reverse DNS zone
167.143.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001111.10100111..00000000.00000000143.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10001111.10100111..00000000.00000000143.167.0.0
Broadcast10001111.10100111..11111111.11111111143.167.255.255
Split into smaller subnets/27

143.167.0.0/16 makes 2,048 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1143.167.0.0/27143.167.0.1 to 143.167.0.30143.167.0.3130
2143.167.0.32/27143.167.0.33 to 143.167.0.62143.167.0.6330
3143.167.0.64/27143.167.0.65 to 143.167.0.94143.167.0.9530
4143.167.0.96/27143.167.0.97 to 143.167.0.126143.167.0.12730
5143.167.0.128/27143.167.0.129 to 143.167.0.158143.167.0.15930
6143.167.0.160/27143.167.0.161 to 143.167.0.190143.167.0.19130
7143.167.0.192/27143.167.0.193 to 143.167.0.222143.167.0.22330
8143.167.0.224/27143.167.0.225 to 143.167.0.254143.167.0.25530
9143.167.1.0/27143.167.1.1 to 143.167.1.30143.167.1.3130
10143.167.1.32/27143.167.1.33 to 143.167.1.62143.167.1.6330
11143.167.1.64/27143.167.1.65 to 143.167.1.94143.167.1.9530
12143.167.1.96/27143.167.1.97 to 143.167.1.126143.167.1.12730
13143.167.1.128/27143.167.1.129 to 143.167.1.158143.167.1.15930
14143.167.1.160/27143.167.1.161 to 143.167.1.190143.167.1.19130
15143.167.1.192/27143.167.1.193 to 143.167.1.222143.167.1.22330
16143.167.1.224/27143.167.1.225 to 143.167.1.254143.167.1.25530
17143.167.2.0/27143.167.2.1 to 143.167.2.30143.167.2.3130
18143.167.2.32/27143.167.2.33 to 143.167.2.62143.167.2.6330
19143.167.2.64/27143.167.2.65 to 143.167.2.94143.167.2.9530
20143.167.2.96/27143.167.2.97 to 143.167.2.126143.167.2.12730
21143.167.2.128/27143.167.2.129 to 143.167.2.158143.167.2.15930
22143.167.2.160/27143.167.2.161 to 143.167.2.190143.167.2.19130
23143.167.2.192/27143.167.2.193 to 143.167.2.222143.167.2.22330
24143.167.2.224/27143.167.2.225 to 143.167.2.254143.167.2.25530
25143.167.3.0/27143.167.3.1 to 143.167.3.30143.167.3.3130
26143.167.3.32/27143.167.3.33 to 143.167.3.62143.167.3.6330
27143.167.3.64/27143.167.3.65 to 143.167.3.94143.167.3.9530
28143.167.3.96/27143.167.3.97 to 143.167.3.126143.167.3.12730
29143.167.3.128/27143.167.3.129 to 143.167.3.158143.167.3.15930
30143.167.3.160/27143.167.3.161 to 143.167.3.190143.167.3.19130
31143.167.3.192/27143.167.3.193 to 143.167.3.222143.167.3.22330
32143.167.3.224/27143.167.3.225 to 143.167.3.254143.167.3.25530
33143.167.4.0/27143.167.4.1 to 143.167.4.30143.167.4.3130
34143.167.4.32/27143.167.4.33 to 143.167.4.62143.167.4.6330
35143.167.4.64/27143.167.4.65 to 143.167.4.94143.167.4.9530
36143.167.4.96/27143.167.4.97 to 143.167.4.126143.167.4.12730
37143.167.4.128/27143.167.4.129 to 143.167.4.158143.167.4.15930
38143.167.4.160/27143.167.4.161 to 143.167.4.190143.167.4.19130
39143.167.4.192/27143.167.4.193 to 143.167.4.222143.167.4.22330
40143.167.4.224/27143.167.4.225 to 143.167.4.254143.167.4.25530
41143.167.5.0/27143.167.5.1 to 143.167.5.30143.167.5.3130
42143.167.5.32/27143.167.5.33 to 143.167.5.62143.167.5.6330
43143.167.5.64/27143.167.5.65 to 143.167.5.94143.167.5.9530
44143.167.5.96/27143.167.5.97 to 143.167.5.126143.167.5.12730
45143.167.5.128/27143.167.5.129 to 143.167.5.158143.167.5.15930
46143.167.5.160/27143.167.5.161 to 143.167.5.190143.167.5.19130
47143.167.5.192/27143.167.5.193 to 143.167.5.222143.167.5.22330
48143.167.5.224/27143.167.5.225 to 143.167.5.254143.167.5.25530
49143.167.6.0/27143.167.6.1 to 143.167.6.30143.167.6.3130
50143.167.6.32/27143.167.6.33 to 143.167.6.62143.167.6.6330
51143.167.6.64/27143.167.6.65 to 143.167.6.94143.167.6.9530
52143.167.6.96/27143.167.6.97 to 143.167.6.126143.167.6.12730
53143.167.6.128/27143.167.6.129 to 143.167.6.158143.167.6.15930
54143.167.6.160/27143.167.6.161 to 143.167.6.190143.167.6.19130
55143.167.6.192/27143.167.6.193 to 143.167.6.222143.167.6.22330
56143.167.6.224/27143.167.6.225 to 143.167.6.254143.167.6.25530
57143.167.7.0/27143.167.7.1 to 143.167.7.30143.167.7.3130
58143.167.7.32/27143.167.7.33 to 143.167.7.62143.167.7.6330
59143.167.7.64/27143.167.7.65 to 143.167.7.94143.167.7.9530
60143.167.7.96/27143.167.7.97 to 143.167.7.126143.167.7.12730
61143.167.7.128/27143.167.7.129 to 143.167.7.158143.167.7.15930
62143.167.7.160/27143.167.7.161 to 143.167.7.190143.167.7.19130
63143.167.7.192/27143.167.7.193 to 143.167.7.222143.167.7.22330
64143.167.7.224/27143.167.7.225 to 143.167.7.254143.167.7.25530
65143.167.8.0/27143.167.8.1 to 143.167.8.30143.167.8.3130
66143.167.8.32/27143.167.8.33 to 143.167.8.62143.167.8.6330
67143.167.8.64/27143.167.8.65 to 143.167.8.94143.167.8.9530
68143.167.8.96/27143.167.8.97 to 143.167.8.126143.167.8.12730
69143.167.8.128/27143.167.8.129 to 143.167.8.158143.167.8.15930
70143.167.8.160/27143.167.8.161 to 143.167.8.190143.167.8.19130
71143.167.8.192/27143.167.8.193 to 143.167.8.222143.167.8.22330
72143.167.8.224/27143.167.8.225 to 143.167.8.254143.167.8.25530
73143.167.9.0/27143.167.9.1 to 143.167.9.30143.167.9.3130
74143.167.9.32/27143.167.9.33 to 143.167.9.62143.167.9.6330
75143.167.9.64/27143.167.9.65 to 143.167.9.94143.167.9.9530
76143.167.9.96/27143.167.9.97 to 143.167.9.126143.167.9.12730
77143.167.9.128/27143.167.9.129 to 143.167.9.158143.167.9.15930
78143.167.9.160/27143.167.9.161 to 143.167.9.190143.167.9.19130
79143.167.9.192/27143.167.9.193 to 143.167.9.222143.167.9.22330
80143.167.9.224/27143.167.9.225 to 143.167.9.254143.167.9.25530
81143.167.10.0/27143.167.10.1 to 143.167.10.30143.167.10.3130
82143.167.10.32/27143.167.10.33 to 143.167.10.62143.167.10.6330
83143.167.10.64/27143.167.10.65 to 143.167.10.94143.167.10.9530
84143.167.10.96/27143.167.10.97 to 143.167.10.126143.167.10.12730
85143.167.10.128/27143.167.10.129 to 143.167.10.158143.167.10.15930
86143.167.10.160/27143.167.10.161 to 143.167.10.190143.167.10.19130
87143.167.10.192/27143.167.10.193 to 143.167.10.222143.167.10.22330
88143.167.10.224/27143.167.10.225 to 143.167.10.254143.167.10.25530
89143.167.11.0/27143.167.11.1 to 143.167.11.30143.167.11.3130
90143.167.11.32/27143.167.11.33 to 143.167.11.62143.167.11.6330
91143.167.11.64/27143.167.11.65 to 143.167.11.94143.167.11.9530
92143.167.11.96/27143.167.11.97 to 143.167.11.126143.167.11.12730
93143.167.11.128/27143.167.11.129 to 143.167.11.158143.167.11.15930
94143.167.11.160/27143.167.11.161 to 143.167.11.190143.167.11.19130
95143.167.11.192/27143.167.11.193 to 143.167.11.222143.167.11.22330
96143.167.11.224/27143.167.11.225 to 143.167.11.254143.167.11.25530
97143.167.12.0/27143.167.12.1 to 143.167.12.30143.167.12.3130
98143.167.12.32/27143.167.12.33 to 143.167.12.62143.167.12.6330
99143.167.12.64/27143.167.12.65 to 143.167.12.94143.167.12.9530
100143.167.12.96/27143.167.12.97 to 143.167.12.126143.167.12.12730
101143.167.12.128/27143.167.12.129 to 143.167.12.158143.167.12.15930
102143.167.12.160/27143.167.12.161 to 143.167.12.190143.167.12.19130
103143.167.12.192/27143.167.12.193 to 143.167.12.222143.167.12.22330
104143.167.12.224/27143.167.12.225 to 143.167.12.254143.167.12.25530
105143.167.13.0/27143.167.13.1 to 143.167.13.30143.167.13.3130
106143.167.13.32/27143.167.13.33 to 143.167.13.62143.167.13.6330
107143.167.13.64/27143.167.13.65 to 143.167.13.94143.167.13.9530
108143.167.13.96/27143.167.13.97 to 143.167.13.126143.167.13.12730
109143.167.13.128/27143.167.13.129 to 143.167.13.158143.167.13.15930
110143.167.13.160/27143.167.13.161 to 143.167.13.190143.167.13.19130
111143.167.13.192/27143.167.13.193 to 143.167.13.222143.167.13.22330
112143.167.13.224/27143.167.13.225 to 143.167.13.254143.167.13.25530
113143.167.14.0/27143.167.14.1 to 143.167.14.30143.167.14.3130
114143.167.14.32/27143.167.14.33 to 143.167.14.62143.167.14.6330
115143.167.14.64/27143.167.14.65 to 143.167.14.94143.167.14.9530
116143.167.14.96/27143.167.14.97 to 143.167.14.126143.167.14.12730
117143.167.14.128/27143.167.14.129 to 143.167.14.158143.167.14.15930
118143.167.14.160/27143.167.14.161 to 143.167.14.190143.167.14.19130
119143.167.14.192/27143.167.14.193 to 143.167.14.222143.167.14.22330
120143.167.14.224/27143.167.14.225 to 143.167.14.254143.167.14.25530
121143.167.15.0/27143.167.15.1 to 143.167.15.30143.167.15.3130
122143.167.15.32/27143.167.15.33 to 143.167.15.62143.167.15.6330
123143.167.15.64/27143.167.15.65 to 143.167.15.94143.167.15.9530
124143.167.15.96/27143.167.15.97 to 143.167.15.126143.167.15.12730
125143.167.15.128/27143.167.15.129 to 143.167.15.158143.167.15.15930
126143.167.15.160/27143.167.15.161 to 143.167.15.190143.167.15.19130
127143.167.15.192/27143.167.15.193 to 143.167.15.222143.167.15.22330
128143.167.15.224/27143.167.15.225 to 143.167.15.254143.167.15.25530
129143.167.16.0/27143.167.16.1 to 143.167.16.30143.167.16.3130
130143.167.16.32/27143.167.16.33 to 143.167.16.62143.167.16.6330
131143.167.16.64/27143.167.16.65 to 143.167.16.94143.167.16.9530
132143.167.16.96/27143.167.16.97 to 143.167.16.126143.167.16.12730
133143.167.16.128/27143.167.16.129 to 143.167.16.158143.167.16.15930
134143.167.16.160/27143.167.16.161 to 143.167.16.190143.167.16.19130
135143.167.16.192/27143.167.16.193 to 143.167.16.222143.167.16.22330
136143.167.16.224/27143.167.16.225 to 143.167.16.254143.167.16.25530
137143.167.17.0/27143.167.17.1 to 143.167.17.30143.167.17.3130
138143.167.17.32/27143.167.17.33 to 143.167.17.62143.167.17.6330
139143.167.17.64/27143.167.17.65 to 143.167.17.94143.167.17.9530
140143.167.17.96/27143.167.17.97 to 143.167.17.126143.167.17.12730
141143.167.17.128/27143.167.17.129 to 143.167.17.158143.167.17.15930
142143.167.17.160/27143.167.17.161 to 143.167.17.190143.167.17.19130
143143.167.17.192/27143.167.17.193 to 143.167.17.222143.167.17.22330
144143.167.17.224/27143.167.17.225 to 143.167.17.254143.167.17.25530
145143.167.18.0/27143.167.18.1 to 143.167.18.30143.167.18.3130
146143.167.18.32/27143.167.18.33 to 143.167.18.62143.167.18.6330
147143.167.18.64/27143.167.18.65 to 143.167.18.94143.167.18.9530
148143.167.18.96/27143.167.18.97 to 143.167.18.126143.167.18.12730
149143.167.18.128/27143.167.18.129 to 143.167.18.158143.167.18.15930
150143.167.18.160/27143.167.18.161 to 143.167.18.190143.167.18.19130
151143.167.18.192/27143.167.18.193 to 143.167.18.222143.167.18.22330
152143.167.18.224/27143.167.18.225 to 143.167.18.254143.167.18.25530
153143.167.19.0/27143.167.19.1 to 143.167.19.30143.167.19.3130
154143.167.19.32/27143.167.19.33 to 143.167.19.62143.167.19.6330
155143.167.19.64/27143.167.19.65 to 143.167.19.94143.167.19.9530
156143.167.19.96/27143.167.19.97 to 143.167.19.126143.167.19.12730
157143.167.19.128/27143.167.19.129 to 143.167.19.158143.167.19.15930
158143.167.19.160/27143.167.19.161 to 143.167.19.190143.167.19.19130
159143.167.19.192/27143.167.19.193 to 143.167.19.222143.167.19.22330
160143.167.19.224/27143.167.19.225 to 143.167.19.254143.167.19.25530
161143.167.20.0/27143.167.20.1 to 143.167.20.30143.167.20.3130
162143.167.20.32/27143.167.20.33 to 143.167.20.62143.167.20.6330
163143.167.20.64/27143.167.20.65 to 143.167.20.94143.167.20.9530
164143.167.20.96/27143.167.20.97 to 143.167.20.126143.167.20.12730
165143.167.20.128/27143.167.20.129 to 143.167.20.158143.167.20.15930
166143.167.20.160/27143.167.20.161 to 143.167.20.190143.167.20.19130
167143.167.20.192/27143.167.20.193 to 143.167.20.222143.167.20.22330
168143.167.20.224/27143.167.20.225 to 143.167.20.254143.167.20.25530
169143.167.21.0/27143.167.21.1 to 143.167.21.30143.167.21.3130
170143.167.21.32/27143.167.21.33 to 143.167.21.62143.167.21.6330
171143.167.21.64/27143.167.21.65 to 143.167.21.94143.167.21.9530
172143.167.21.96/27143.167.21.97 to 143.167.21.126143.167.21.12730
173143.167.21.128/27143.167.21.129 to 143.167.21.158143.167.21.15930
174143.167.21.160/27143.167.21.161 to 143.167.21.190143.167.21.19130
175143.167.21.192/27143.167.21.193 to 143.167.21.222143.167.21.22330
176143.167.21.224/27143.167.21.225 to 143.167.21.254143.167.21.25530
177143.167.22.0/27143.167.22.1 to 143.167.22.30143.167.22.3130
178143.167.22.32/27143.167.22.33 to 143.167.22.62143.167.22.6330
179143.167.22.64/27143.167.22.65 to 143.167.22.94143.167.22.9530
180143.167.22.96/27143.167.22.97 to 143.167.22.126143.167.22.12730
181143.167.22.128/27143.167.22.129 to 143.167.22.158143.167.22.15930
182143.167.22.160/27143.167.22.161 to 143.167.22.190143.167.22.19130
183143.167.22.192/27143.167.22.193 to 143.167.22.222143.167.22.22330
184143.167.22.224/27143.167.22.225 to 143.167.22.254143.167.22.25530
185143.167.23.0/27143.167.23.1 to 143.167.23.30143.167.23.3130
186143.167.23.32/27143.167.23.33 to 143.167.23.62143.167.23.6330
187143.167.23.64/27143.167.23.65 to 143.167.23.94143.167.23.9530
188143.167.23.96/27143.167.23.97 to 143.167.23.126143.167.23.12730
189143.167.23.128/27143.167.23.129 to 143.167.23.158143.167.23.15930
190143.167.23.160/27143.167.23.161 to 143.167.23.190143.167.23.19130
191143.167.23.192/27143.167.23.193 to 143.167.23.222143.167.23.22330
192143.167.23.224/27143.167.23.225 to 143.167.23.254143.167.23.25530
193143.167.24.0/27143.167.24.1 to 143.167.24.30143.167.24.3130
194143.167.24.32/27143.167.24.33 to 143.167.24.62143.167.24.6330
195143.167.24.64/27143.167.24.65 to 143.167.24.94143.167.24.9530
196143.167.24.96/27143.167.24.97 to 143.167.24.126143.167.24.12730
197143.167.24.128/27143.167.24.129 to 143.167.24.158143.167.24.15930
198143.167.24.160/27143.167.24.161 to 143.167.24.190143.167.24.19130
199143.167.24.192/27143.167.24.193 to 143.167.24.222143.167.24.22330
200143.167.24.224/27143.167.24.225 to 143.167.24.254143.167.24.25530
201143.167.25.0/27143.167.25.1 to 143.167.25.30143.167.25.3130
202143.167.25.32/27143.167.25.33 to 143.167.25.62143.167.25.6330
203143.167.25.64/27143.167.25.65 to 143.167.25.94143.167.25.9530
204143.167.25.96/27143.167.25.97 to 143.167.25.126143.167.25.12730
205143.167.25.128/27143.167.25.129 to 143.167.25.158143.167.25.15930
206143.167.25.160/27143.167.25.161 to 143.167.25.190143.167.25.19130
207143.167.25.192/27143.167.25.193 to 143.167.25.222143.167.25.22330
208143.167.25.224/27143.167.25.225 to 143.167.25.254143.167.25.25530
209143.167.26.0/27143.167.26.1 to 143.167.26.30143.167.26.3130
210143.167.26.32/27143.167.26.33 to 143.167.26.62143.167.26.6330
211143.167.26.64/27143.167.26.65 to 143.167.26.94143.167.26.9530
212143.167.26.96/27143.167.26.97 to 143.167.26.126143.167.26.12730
213143.167.26.128/27143.167.26.129 to 143.167.26.158143.167.26.15930
214143.167.26.160/27143.167.26.161 to 143.167.26.190143.167.26.19130
215143.167.26.192/27143.167.26.193 to 143.167.26.222143.167.26.22330
216143.167.26.224/27143.167.26.225 to 143.167.26.254143.167.26.25530
217143.167.27.0/27143.167.27.1 to 143.167.27.30143.167.27.3130
218143.167.27.32/27143.167.27.33 to 143.167.27.62143.167.27.6330
219143.167.27.64/27143.167.27.65 to 143.167.27.94143.167.27.9530
220143.167.27.96/27143.167.27.97 to 143.167.27.126143.167.27.12730
221143.167.27.128/27143.167.27.129 to 143.167.27.158143.167.27.15930
222143.167.27.160/27143.167.27.161 to 143.167.27.190143.167.27.19130
223143.167.27.192/27143.167.27.193 to 143.167.27.222143.167.27.22330
224143.167.27.224/27143.167.27.225 to 143.167.27.254143.167.27.25530
225143.167.28.0/27143.167.28.1 to 143.167.28.30143.167.28.3130
226143.167.28.32/27143.167.28.33 to 143.167.28.62143.167.28.6330
227143.167.28.64/27143.167.28.65 to 143.167.28.94143.167.28.9530
228143.167.28.96/27143.167.28.97 to 143.167.28.126143.167.28.12730
229143.167.28.128/27143.167.28.129 to 143.167.28.158143.167.28.15930
230143.167.28.160/27143.167.28.161 to 143.167.28.190143.167.28.19130
231143.167.28.192/27143.167.28.193 to 143.167.28.222143.167.28.22330
232143.167.28.224/27143.167.28.225 to 143.167.28.254143.167.28.25530
233143.167.29.0/27143.167.29.1 to 143.167.29.30143.167.29.3130
234143.167.29.32/27143.167.29.33 to 143.167.29.62143.167.29.6330
235143.167.29.64/27143.167.29.65 to 143.167.29.94143.167.29.9530
236143.167.29.96/27143.167.29.97 to 143.167.29.126143.167.29.12730
237143.167.29.128/27143.167.29.129 to 143.167.29.158143.167.29.15930
238143.167.29.160/27143.167.29.161 to 143.167.29.190143.167.29.19130
239143.167.29.192/27143.167.29.193 to 143.167.29.222143.167.29.22330
240143.167.29.224/27143.167.29.225 to 143.167.29.254143.167.29.25530
241143.167.30.0/27143.167.30.1 to 143.167.30.30143.167.30.3130
242143.167.30.32/27143.167.30.33 to 143.167.30.62143.167.30.6330
243143.167.30.64/27143.167.30.65 to 143.167.30.94143.167.30.9530
244143.167.30.96/27143.167.30.97 to 143.167.30.126143.167.30.12730
245143.167.30.128/27143.167.30.129 to 143.167.30.158143.167.30.15930
246143.167.30.160/27143.167.30.161 to 143.167.30.190143.167.30.19130
247143.167.30.192/27143.167.30.193 to 143.167.30.222143.167.30.22330
248143.167.30.224/27143.167.30.225 to 143.167.30.254143.167.30.25530
249143.167.31.0/27143.167.31.1 to 143.167.31.30143.167.31.3130
250143.167.31.32/27143.167.31.33 to 143.167.31.62143.167.31.6330
251143.167.31.64/27143.167.31.65 to 143.167.31.94143.167.31.9530
252143.167.31.96/27143.167.31.97 to 143.167.31.126143.167.31.12730
253143.167.31.128/27143.167.31.129 to 143.167.31.158143.167.31.15930
254143.167.31.160/27143.167.31.161 to 143.167.31.190143.167.31.19130
255143.167.31.192/27143.167.31.193 to 143.167.31.222143.167.31.22330
256143.167.31.224/27143.167.31.225 to 143.167.31.254143.167.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses